Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Test a Subscription


This topic describes how to test if a webhook subscription is configured correctly. Use this request to verify that the details you are expecting in the webhook notification are included, such as the notification message and the product and event types.

A successful response includes the expected notification message and the product and event type. Only the first event type in your subscription is listed in the eventType response field.

This request requires the webhook subscription ID. The subscription ID is in the webhookId response field from the create a webhook subscription request.

Endpoint

Send a POST request to this endpoint. The {webhookId} is the webhook subscription ID.

POST /notification-subscriptions/v1/webhooks/{webhookId}

POST /notification-subscriptions/v1/webhooks/{webhookId}

POST /notification-subscriptions/v1/webhooks/{webhookId}

Example

POST /notification-subscriptions/v1/webhooks/17915c64-73d9-5475-e063-7cb8d30a8089
{}
{   "eventDate": "2024-05-08T16:15:23",    "eventType": "tms.networktoken.updated",    "organizationId": "npr_gpn",    "payloads": {        "testPayload": {            "message": "Yay! Your webhook integration worked! This is only a test and an example of what a webhook message payload looks like. Thank you for using our test feature."        }    },    "productId": "tokenManagement",    "requestType": "NEW",    "retryNumber": "0",    "transactionTraceId": "ddd8883c-f14d-48af-bd35-ff9b4a51ca35",    "webhookId": "17915c64-73d9-5475-e063-7cb8d30a8089"}

Response Codes

A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see Transaction Response Codes.

Last published: October 28, 2026